org.eclipse.ease.lang.unittest.definition

## Interface ITestSuiteDefinition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestSuiteDefinition

    public interface ITestSuiteDefinition
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Test Suite Definition'.

The following features are supported:

- `Name`
- `Description`
- `Include Filter`
- `Exclude Filter`
- `Disabled Resources`
- `Variables`
- `Custom Code`
- `Flags`
- `Version`
- `Resource`

See Also:
  `IDefinitionPackage.getTestSuiteDefinition()`

### Field Summary

Fields
`static java.lang.String` `CODE_LOCATION_TESTFILE_SETUP`
`static java.lang.String` `CODE_LOCATION_TESTFILE_TEARDOWN`
`static java.lang.String` `CODE_LOCATION_TESTSUITE_SETUP`
`static java.lang.String` `CODE_LOCATION_TESTSUITE_TEARDOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<ICode>` `getCustomCode()` Returns the value of the 'Custom Code' containment reference list.
`ICode` `getCustomCode(java.lang.String location)`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`org.eclipse.emf.common.util.EList<IPath>` `getDisabledResources()` Returns the value of the 'Disabled Resources' attribute list.
`java.lang.String` `getExcludeFilter()` Returns the value of the 'Exclude Filter' attribute.
`<T> T` `getFlag(Flag identifier, T defaultValue)`
`org.eclipse.emf.common.util.EMap<Flag,java.lang.String>` `getFlags()` Returns the value of the 'Flags' map.
`java.lang.String` `getIncludeFilter()` Returns the value of the 'Include Filter' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.Object` `getResource()` Returns the value of the 'Resource' attribute.
`IVariable` `getVariable(java.lang.String name)`
`org.eclipse.emf.common.util.EList<IVariable>` `getVariables()` Returns the value of the 'Variables' containment reference list.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setExcludeFilter(java.lang.String value)` Sets the value of the '`Exclude Filter`' attribute.
`void` `setIncludeFilter(java.lang.String value)` Sets the value of the '`Include Filter`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setResource(java.lang.Object value)` Sets the value of the '`Resource`' attribute.
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### CODE_LOCATION_TESTSUITE_SETUP

    static final java.lang.String CODE_LOCATION_TESTSUITE_SETUP

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTSUITE_TEARDOWN

    static final java.lang.String CODE_LOCATION_TESTSUITE_TEARDOWN

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTFILE_SETUP

    static final java.lang.String CODE_LOCATION_TESTFILE_SETUP

See Also:
  Constant Field Values

#### CODE_LOCATION_TESTFILE_TEARDOWN

    static final java.lang.String CODE_LOCATION_TESTFILE_TEARDOWN

See Also:
  Constant Field Values

### Method Detail

#### getName

    java.lang.String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `IDefinitionPackage.getTestSuiteDefinition_Name()`

#### setName

    void setName(java.lang.String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### getDescription

    java.lang.String getDescription()

Returns the value of the 'Description' attribute.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `IDefinitionPackage.getTestSuiteDefinition_Description()`

#### setDescription

    void setDescription(java.lang.String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getIncludeFilter

    java.lang.String getIncludeFilter()

Returns the value of the 'Include Filter' attribute. The default value is `""`.

If the meaning of the 'Include Filter' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Include Filter' attribute.
See Also:
  `setIncludeFilter(String)`, `IDefinitionPackage.getTestSuiteDefinition_IncludeFilter()`

#### setIncludeFilter

    void setIncludeFilter(java.lang.String value)

Sets the value of the '`Include Filter`' attribute.

Parameters:
  `value` - the new value of the 'Include Filter' attribute.
See Also:
  `getIncludeFilter()`

#### getExcludeFilter

    java.lang.String getExcludeFilter()

Returns the value of the 'Exclude Filter' attribute. The default value is `""`.

If the meaning of the 'Exclude Filter' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Exclude Filter' attribute.
See Also:
  `setExcludeFilter(String)`, `IDefinitionPackage.getTestSuiteDefinition_ExcludeFilter()`

#### setExcludeFilter

    void setExcludeFilter(java.lang.String value)

Sets the value of the '`Exclude Filter`' attribute.

Parameters:
  `value` - the new value of the 'Exclude Filter' attribute.
See Also:
  `getExcludeFilter()`

#### getDisabledResources

    org.eclipse.emf.common.util.EList<IPath> getDisabledResources()

Returns the value of the 'Disabled Resources' attribute list. The list contents are of type `IPath`.

If the meaning of the 'Disabled Resources' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Disabled Resources' attribute list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_DisabledResources()`

#### getVariables

    org.eclipse.emf.common.util.EList<IVariable> getVariables()

Returns the value of the 'Variables' containment reference list. The list contents are of type `IVariable`.

If the meaning of the 'Variables' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Variables' containment reference list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_Variables()`

#### getCustomCode

    org.eclipse.emf.common.util.EList<ICode> getCustomCode()

Returns the value of the 'Custom Code' containment reference list. The list contents are of type `ICode`.

If the meaning of the 'Custom Code' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Custom Code' containment reference list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_CustomCode()`

#### getFlags

    org.eclipse.emf.common.util.EMap<Flag,java.lang.String> getFlags()

Returns the value of the 'Flags' map. The key is of type `Flag`, and the value is of type `String`,

If the meaning of the 'Flags' map isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Flags' map.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_Flags()`

#### getVersion

    java.lang.String getVersion()

Returns the value of the 'Version' attribute. The default value is `""`.

If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Version' attribute.
See Also:
  `setVersion(String)`, `IDefinitionPackage.getTestSuiteDefinition_Version()`

#### setVersion

    void setVersion(java.lang.String value)

Sets the value of the '`Version`' attribute.

Parameters:
  `value` - the new value of the 'Version' attribute.
See Also:
  `getVersion()`

#### getResource

    java.lang.Object getResource()

Returns the value of the 'Resource' attribute.

If the meaning of the 'Resource' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Resource' attribute.
See Also:
  `setResource(Object)`, `IDefinitionPackage.getTestSuiteDefinition_Resource()`

#### setResource

    void setResource(java.lang.Object value)

Sets the value of the '`Resource`' attribute.

Parameters:
  `value` - the new value of the 'Resource' attribute.
See Also:
  `getResource()`

#### getCustomCode

    ICode getCustomCode(java.lang.String location)

#### getVariable

    IVariable getVariable(java.lang.String name)

#### getFlag

    <T> T getFlag(Flag identifier,
                  T defaultValue)